Bug 766501 - [abrt] gnome-terminal-3.2.1-2.fc16: g_object_notify: Process /usr/bin/gnome-terminal was killed by signal 11 (SIGSEGV)
[abrt] gnome-terminal-3.2.1-2.fc16: g_object_notify: Process /usr/bin/gnome-t...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:ac72a438c38fafeadc00a71dec0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-12 03:21 EST by Andrew Vagin
Modified: 2013-02-13 13:13 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:13:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (3.14 KB, text/plain)
2011-12-12 03:21 EST, Andrew Vagin
no flags Details
File: maps (37.57 KB, text/plain)
2011-12-12 03:21 EST, Andrew Vagin
no flags Details
File: backtrace (37.88 KB, text/plain)
2011-12-12 03:21 EST, Andrew Vagin
no flags Details
File: backtrace (37.68 KB, text/plain)
2012-01-12 18:28 EST, Sean Stangl
no flags Details
File: backtrace (36.95 KB, text/plain)
2012-02-02 17:01 EST, Bryan Nielsen
no flags Details
File: backtrace (37.43 KB, text/plain)
2012-02-25 06:31 EST, frywalker
no flags Details
File: backtrace (37.28 KB, text/plain)
2012-05-07 07:24 EDT, James
no flags Details
File: backtrace (42.46 KB, text/plain)
2012-05-18 11:00 EDT, Joe Orton
no flags Details

  None (edit)
Description Andrew Vagin 2011-12-12 03:21:15 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        gnome-terminal
crash_function: g_object_notify
executable:     /usr/bin/gnome-terminal
kernel:         3.1.4-1.fc16.x86_64
pid:            1529
pwd:            /home/avagin
reason:         Process /usr/bin/gnome-terminal was killed by signal 11 (SIGSEGV)
time:           Mon 12 Dec 2011 11:49:05 AM MSK
uid:            1000
username:       avagin

backtrace:      Text file, 38789 bytes
maps:           Text file, 38473 bytes
smolt_data:     Text file, 3211 bytes

dso_list:
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc16.noarch (Fedora Project) 1323247643
:/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc wqy-zenhei-fonts-0.9.46-2.fc15.noarch (Fedora Project) 1323248050
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.2.1.2-1.fc16.noarch (Fedora Project) 1323249422
:/usr/lib/locale/locale-archive glibc-common-2.14.90-19.x86_64 (Fedora Project) 1323248646
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.7-1.fc16.noarch (Fedora Project) 1323247629
:/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-1.fc16.noarch (Fedora Project) 1323247629
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.34.1-1.fc16.x86_64 (Fedora Project) 1323247741
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-19.x86_64 (Fedora Project) 1323248653
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.10.0-1.fc16.x86_64 (Fedora Project) 1323247710
:/usr/share/fonts/vlgothic/VL-Gothic-Regular.ttf vlgothic-fonts-20111122-1.fc16.noarch (Fedora Project) 1323249605
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.2.1-2.fc16.x86_64 (Fedora Project) 1323247816
:/usr/share/vte/termcap-2.90/xterm vte3-0.30.1-2.fc16.x86_64 (Fedora Project) 1323247801
:/usr/lib64/gtk-3.0/modules/libpk-gtk-module.so PackageKit-gtk3-module-0.6.20-1.fc16.x86_64 (Fedora Project) 1323249637
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-19.x86_64 (Fedora Project) 1323248653
:/usr/share/fonts/default/Type1/n022003l.pfb urw-fonts-2.4-10.fc15.noarch (Fedora Project) 1323247657
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.10.1-2.fc16.x86_64 (Fedora Project) 1323247731
:/usr/share/fonts/dejavu/DejaVuSansMono-Bold.ttf dejavu-sans-mono-fonts-2.33-1.fc16.noarch (Fedora Project) 1323247629
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1323247790

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1271
:XDG_SESSION_ID=2
:HOSTNAME=dhcp-10-30-19-46.sw.ru
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=5000
:XDG_SESSION_COOKIE=f122f4f3b714694bce0989e50000000a-1323250354.72752-1333784930
:CVSROOT=avagin@cvs.sw.ru:/cvs
:GNOME_KEYRING_CONTROL=/tmp/keyring-irHlXg
:IMSETTINGS_MODULE=none
:HISTFILESIZE=500000
:USER=avagin
:SSH_AUTH_SOCK=/tmp/keyring-irHlXg/ssh
:USERNAME=avagin
:MAIL=/var/spool/mail/avagin
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/avagin/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/avagin
:XMODIFIERS=@im=none
:EDITOR=/usr/bin/vim
:GNOME_KEYRING_PID=1109
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/avagin
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=avagin
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-m8FafkH1Dj,guid=ad8ec5764569e0243ffe161200000013
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/avagin
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-avagin-eFxciS/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1114,unix/unix:/tmp/.ICE-unix/1114
:GPG_AGENT_INFO=/tmp/keyring-irHlXg/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'

var_log_messages:
:Dec 12 11:49:05 dhcp-10-30-19-46 kernel: [425810.593575] gnome-terminal[1529]: segfault at 1 ip 00007f4db21f05b8 sp 00007fff7dce5ac0 error 4 in libgobject-2.0.so.0.3000.1.#prelink#.Np880m (deleted)[7f4db21dd000+4c000]
:Dec 12 11:49:05 dhcp-10-30-19-46 abrt[3748]: File '/usr/bin/gnome-terminal' seems to be deleted
:Dec 12 11:49:06 dhcp-10-30-19-46 abrt[3748]: Saved core dump of pid 1529 (/usr/bin/gnome-terminal) to /var/spool/abrt/ccpp-2011-12-12-11:49:05-1529 (56635392 bytes)
Comment 1 Andrew Vagin 2011-12-12 03:21:17 EST
Created attachment 545620 [details]
File: smolt_data
Comment 2 Andrew Vagin 2011-12-12 03:21:20 EST
Created attachment 545621 [details]
File: maps
Comment 3 Andrew Vagin 2011-12-12 03:21:22 EST
Created attachment 545622 [details]
File: backtrace
Comment 4 Fedora Admin XMLRPC Client 2012-01-10 10:48:19 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2012-01-10 10:48:21 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Sean Stangl 2012-01-12 18:28:26 EST
Ran `make -j9` in a long-standing session with multiple terminals in multiple tabs.

backtrace_rating: 4
Package: gnome-terminal-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 7 Sean Stangl 2012-01-12 18:28:29 EST
Created attachment 554952 [details]
File: backtrace
Comment 8 Bryan Nielsen 2012-02-02 17:01:36 EST
I had multiple terminals open, some with tabs some without tabs.

I was in a vim session editing a file and after entering a search command all terminals crashed.

I am not sure if it is related but there was also a noticable problem with the terminal display with long lines, parts of the screen do not show anything until you resize the terminal.


backtrace_rating: 4
Package: gnome-terminal-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 9 Bryan Nielsen 2012-02-02 17:01:43 EST
Created attachment 559147 [details]
File: backtrace
Comment 10 frywalker 2012-02-25 06:31:25 EST
I was watching binary file with the terminal over ssh.
I did it five times just before without problem.
It was a .db file


backtrace_rating: 4
Package: gnome-terminal-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 11 frywalker 2012-02-25 06:31:30 EST
Created attachment 565742 [details]
File: backtrace
Comment 12 Bobby Powers 2012-04-24 00:13:57 EDT
I hit ctrl-c with the intent of cancelling a half-type command on a remote machine. I had a number of tabs open over 5 desktops, with 2 gnome terminal windows on the current desktop

backtrace_rating: 4
Package: gnome-terminal-3.4.1.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 James 2012-05-07 07:24:13 EDT
Just switched a tab and executed some normal commands.

backtrace_rating: 4
Package: gnome-terminal-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 14 James 2012-05-07 07:24:20 EDT
Created attachment 582626 [details]
File: backtrace
Comment 15 Joe Orton 2012-05-18 11:00:44 EDT
Switching terminal tab/window, I think.

backtrace_rating: 4
Package: gnome-terminal-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 16 Joe Orton 2012-05-18 11:00:53 EDT
Created attachment 585431 [details]
File: backtrace
Comment 17 Fedora End Of Life 2013-01-16 10:26:52 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Fedora End Of Life 2013-02-13 13:13:50 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.